body {
    margin: 0;
    padding: 0;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    background-attachment: fixed;
    background-image: url('background.png');
}

body::before {
    content: "";
    position: absolute;
    left: 0;
    right: 0;
    bottom: 0;
    top: 0;
    background-color: rgba(0, 0, 0, 0.4);
    z-index: 2;
}

.clock {
    position: absolute;
    bottom: 0;
    right: 0;
    padding: 10px;
    text-align: right;
    color: #fff;
    z-index: 100;
    font-size: 48px;
}

#time {
    font-size: 80px;
    font-family: Calibri Thin;

}

#date {
    font-size: 40px;
    font-family: Maple Mono NF CN Thin;
    margin-bottom: 10px;
}

#text {
    font-size: 64px;
    font-family: HarmonyOS Sans SC Thin;
    margin-bottom: -10px;
}

.clock hr {
    margin: 5px 0;
    border: none;
    border-top: 2px solid #fff;
}